export declare class TempPathsRegistry {
    private tempPaths;
    private constructor();
    private static pInstance;
    static get instance(): TempPathsRegistry;
    static reset(): void;
    createTempDir(keep?: boolean): Promise<string>;
    createTempFile(keep?: boolean, postfix?: string): Promise<string>;
    cleanup(): Promise<void>;
}
