export declare class LogService {
    private infoEnabled;
    private constructor();
    private static pInstance;
    static get instance(): LogService;
    static reset(): void;
    /**
     * Enable info logs
     */
    enableInfoLogs(): void;
    /**
     * Print info log
     * @param message
     */
    info(message: string): void;
    /**
     * Print error log
     * @param message
     */
    error(message: string): void;
    private getTime;
}
